Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cayenne.access.jdbc
Class SQLStatement

    java.lang.Object
      org.apache.cayenne.access.jdbc.SQLStatement

Direct Known Subclasses:
  SQLSelectStatement

    public class SQLStatement

extends java.lang.Object

A PreparedStatement descriptor containing a String of SQL and an array of parameters. SQLStatement is essentially a "compiled" version of any single query.

Since:
  1.1
Author:
  Andrus Adamchik

Field Summary
`protected ParameterBinding[]` | `bindings`
`protected ColumnDescriptor[]` | `resultColumns`
`protected java.lang.String` | `sql`

Constructor Summary
`SQLStatement()`
`SQLStatement(java.lang.String sql, ColumnDescriptor[] resultColumns, ParameterBinding[] bindings)`
`SQLStatement(java.lang.String sql, ParameterBinding[] bindings)`

Method Summary
`ParameterBinding[]` | `getBindings()`
`ColumnDescriptor[]` | `getResultColumns()`
`java.lang.String` | `getSql()`
`void` | `setBindings(ParameterBinding[] bindings)`
`void` | `setResultColumns(ColumnDescriptor[] descriptors)`
`void` | `setSql(java.lang.String string)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### sql

    protected java.lang.String sql

### bindings

    protected ParameterBinding[] bindings

### resultColumns

    protected ColumnDescriptor[] resultColumns

Constructor Detail

### SQLStatement

    public SQLStatement()

### SQLStatement

    public SQLStatement(java.lang.String sql,
                        ParameterBinding[] bindings)

### SQLStatement

    public SQLStatement(java.lang.String sql,
                        ColumnDescriptor[] resultColumns,
                        ParameterBinding[] bindings)

Since:
  1.2

Method Detail

### getResultColumns

    public ColumnDescriptor[] getResultColumns()

  Since:
    1.2

### setResultColumns

    public void setResultColumns(ColumnDescriptor[] descriptors)

  Since:
    1.2

### getBindings

    public ParameterBinding[] getBindings()

### getSql

    public java.lang.String getSql()

### setBindings

    public void setBindings(ParameterBinding[] bindings)

### setSql

    public void setSql(java.lang.String string)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2006 Apache.org All Rights Reserved.